<?php
// ----------------------------------------------------------------------------------------------------------------------------
// класс для страниц на основе фреймов
// ----------------------------------------------------------------------------------------------------------------------------

include_once ('c_admin_page.php') ;
class c_page_frames extends c_admin_page
{
  public $url_fra_top_menu='' ;
  public $url_fra_tree='' ;

 function body($options=array())
 {  if (!MEMBER()->id and !$this->free_access) $this->body_autorize() ;
 	else $this->body_frame_2x() ;
 }

 function body_frame_1x($options=array())
  { global $tkey ;
    if ($tkey) 				$_menu_params[]='tkey='.$tkey ;
    if ($options['title']) 	$_menu_params[]='show_title='.$options['title'] ;
    if (_sizeof($_menu_params)) $menu_params='?'.implode('&',$_menu_params) ;
    $src_view=($options['fra_view'])? 'SRC="'.$options['fra_view'].'"':'' ;
    // было 89 - стало 27
    ?><FRAMESET rows="59,*" COLS=*>
		    <FRAME id="fra_top_menu" SRC="<?echo _PATH_TO_ADMIN?>/fra_top_menu.php<?echo $menu_params?>" NAME="fra_top_menu" frameBorder=0  NORESIZE SCROLLING=no />
			<FRAME id="fra_view"  NAME="fra_view" <?echo $src_view?>/>
	      <NOFRAMES><body>Ваш браузер не поддерживает фреймы</body></NOFRAMES>
	  </FRAMESET>
    <?
  }

  function body_frame_2x($options=array())
    {
        $_menu_params=array();
    if ($options['tkey']) 	    $_menu_params[]='tkey='.$options['tkey'] ;
    if ($options['title']) 	    $_menu_params[]='show_title='.$options['title'] ;
    if ($options['root_id']) 	$_menu_params[]='root_id='.$options['root_id'] ;

        if($options['url_fra_tree']) $this->url_fra_tree=$options['fra_tree'];
        ?>
            <FRAMESET ROWS=* COLS="200,*" >
		        <FRAME id="fra_tree"  NAME="fra_tree" SRC="<?echo $this->url_fra_tree?>" />
			   	<FRAME id="fra_view"  NAME="fra_view" />
		    </FRAMESET>
            <NOFRAMES>
                <body>Ваш браузер не поддерживает фреймы</body>
            </NOFRAMES>
    <?
  }

  function body_frame_3x($options=array())
  { global $tkey ;
    if ($tkey) 				$_menu_params[]='tkey='.$tkey ;
    if ($options['title']) 	$_menu_params[]='show_title='.$options['title'] ;
    if (_sizeof($_menu_params)) $menu_params='?'.implode('&',$_menu_params) ;
    $src_tree=($options['fra_tree'])? 'SRC="'.$options['fra_tree'].'"':'' ;
    // было 89 - стало 27
    ?><FRAMESET rows="59,*" COLS=*>
		    <FRAME id="fra_top_menu" SRC="<?echo _PATH_TO_ADMIN?>/fra_top_menu.php<?echo $menu_params?>" NAME="fra_top_menu" frameBorder=0  NORESIZE SCROLLING=no />
            <FRAMESET ROWS=* COLS="200,*" >
		        <FRAME id="fra_tree"  NAME="fra_tree" <?echo $src_tree?> />
	    		<FRAMESET COLS=* ROWS=50%,*>
			   		<FRAME id="fra_view"  NAME="fra_view" />
		       		<FRAME id="fra_order" NAME="fra_order" />
		    	</FRAMESET>
		    </FRAMESET>
	      <NOFRAMES><body>Ваш браузер не поддерживает фреймы</body></NOFRAMES>
	  </FRAMESET>
    <?
  }

  function body_frame_3x_vert($options=array())
  { global $tkey ;
    if ($tkey) 				$_menu_params[]='tkey='.$tkey ;
    if ($options['title']) 	$_menu_params[]='show_title='.$options['title'] ;
    if (_sizeof($_menu_params)) $menu_params='?'.implode('&',$_menu_params) ;
    $src_tree=($options['fra_tree'])? 'SRC="'.$options['fra_tree'].'"':'' ;
    // было 89 - стало 27
    ?><FRAMESET rows="59,*" COLS=*>
		    <FRAME id="fra_top_menu" SRC="<?echo _PATH_TO_ADMIN?>/fra_top_menu.php<?echo $menu_params?>" NAME="fra_top_menu" frameBorder=0  NORESIZE SCROLLING=no />
            <FRAMESET ROWS=* COLS="200,*,*" >
		        <FRAME id="fra_tree"  NAME="fra_tree" <?echo $src_tree?> />
                <FRAME id="fra_view"  NAME="fra_view" />
		        <FRAME id="fra_order" NAME="fra_order" />
		    </FRAMESET>
	      <NOFRAMES><body>Ваш браузер не поддерживает фреймы</body></NOFRAMES>
	  </FRAMESET>
    <?
  }

  // заголовок админа -------------------------------------------------------------------------------------------------------------





  //
  function check_reffer()
  {
	   /*
	   // проверяем, откуда происходит вызов скрипта
	   $url_arr=parse_url($_SERVER['HTTP_REFERER']) ;
	   //damp_array($url_arr) ;
	   if ($url_arr['host']!=$_SERVER['SERVER_NAME'])
	   { switch (basename($_SERVER['SCRIPT_NAME']))
	     { case 'tree_support_engine.php':  $root_usl='obj_name="'.$url_arr['host'].'"' ;
	     									if (!$url_arr['host']) {echo 'Доступ запрещен' ; exit ;}
	     									break;
	       default: echo 'Доступ запрещен' ; exit ;
	     }
	   }

	   */

	   //echo 'table_name='.$table_name.'<br>' ;
  }

   // функции используются во фреймах модулей
    function get_time_title($start_time=0,$end_time=0)
    { if (!$start_time and !$end_time) return('') ;
      $first_data=getdate($start_time) ;
      $last_data=getdate($end_time) ;
      if ($first_data['mday']==$last_data['mday'] and $first_data['mon']==$last_data['mon'] and $first_data['year']==$last_data['year']) $title=' за '.date('d.m.y',$start_time) ;
      else $title=' от '.date('d.m.y',$start_time).' по '.date('d.m.y',$end_time) ;
      return($title) ;
    }

    function get_time_usl($start_time=0,$end_time=0)
    { $time_usl=array() ; $usl='' ;
      if ($start_time) $time_usl[]=' c_data>='.$start_time ;
      if ($end_time)   $time_usl[]=' c_data<='.$end_time ;
      if (_sizeof($time_usl)) $usl=implode(' and ',$time_usl) ;
      return ($usl) ;
    }
       
       
/*---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  ПРОВЕРКА GET ПАРАМЕТРОВ СКРИПТА НА ПРЕДМЕТ НАЛИЧИЯ ПРАВИЛ НА ВЫПОЛНЕНИЕ КОМАНДЫ
/*---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
// >>> $in_params - входные пепеременны $_GET
// <<< $stop_view=1  - не показывать стандартное содержимое фрейма
//               =0  - показывать стандартное содержисое фрейма
// ПРИМЕР ПРАВИЛ:
//$_SESSION['frame_viewer_menu'][]=array('if'=>array(	'table_code'=>'setting',
//								                        'code'=>'fonts'),
//					                     'then'=>array(	'cmd'=>'import_props_from_list',
//								                        'script'=>'mod/category/i_props.php')) ;
//
//$_SESSION['frame_viewer_menu'][]=array('if'=>array(	'tkey'=>'87',
//								                        'pkey'=>'123'),
//					                     'then'=>array(	'cmd'=>'import_props_from_list',
//								                        'script'=>'mod/category/i_props.php'')) ;

 function check_view_function_by_params($in_params)
 { $stop_view=0 ; $func_name='' ;
   //damp_array($in_params) ;
   //damp_array($_SESSION['frame_viewer_menu']) ;
   if (_sizeof($_SESSION['frame_viewer_menu'])) foreach($_SESSION['frame_viewer_menu'] as $rule)
   {  $i=0 ;
      if (_sizeof($rule['if'])) foreach($rule['if'] as $param=>$value) if ($in_params[$param]==$value) $i++ ;
      if ($i==_sizeof($rule['if']) and $rule['then']['cmd']) // если выполнены все условия
        list($stop_view,$cmd_exec)=DESKTOP()->exec_script_cmd($rule['then']['cmd'],$rule['then']['script'],array('debug'=>0,'cur_page'=>$this)) ;   // вернет имя функции, если она найдена
   }
   return($stop_view) ;
 }




}
?>
